# Generated from perfect-shape-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name perfect-shape

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Perfect Shape - Geometric Algorithms
License: MIT
URL: http://github.com/AndyObtiva/perfect-shape
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(juwelier) >= 2.1.0
# BuildRequires: rubygem(juwelier) < 2.2
# BuildRequires: rubygem(minitest) >= 5.14.4
# BuildRequires: rubygem(minitest) < 5.15
# BuildRequires: rubygem(puts_debuggerer) >= 0.13.1
# BuildRequires: rubygem(puts_debuggerer) < 0.14
# BuildRequires: rubygem(rake-tui)
BuildArch: noarch

%description
Perfect Shape is a collection of pure Ruby geometric algorithms that are
mostly useful for GUI manipulation like checking viewport rectangle
intersection or containment of a mouse click point in popular geometry shapes
such as rectangle, square, arc (open, chord, and pie), ellipse, circle,
polygon, and paths containing lines, quadratic bézier curves, and cubic bezier
curves, potentially with affine transforms applied like translation, scale,
rotation, shear/skew, and inversion (including both the Ray Casting Algorithm,
aka Even-odd Rule, and the Winding Number Algorithm, aka Nonzero Rule).
Additionally, it contains some purely mathematical algorithms like
IEEEremainder (also known as IEEE-754 remainder).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/perfect-shape.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.2-1
- Initial package
